- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ErasableGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
class lemon::concepts::ErasableGraphComponent< BAS >

This class describes the interface of erasable undirected graphs. It extends BaseGraphComponent with functions for removing nodes and edges from the graph. This concept requires AlterableGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ErasableGraphComponent< BAS >:
[legend]

## Public Member Functions
void | erase (const Node &)
| Erase a node from the graph. More...
void | erase (const Edge &)
| Erase an edge from the digraph. More...

## Member Function Documentation

void erase | ( | const Node & |  | ) |
| inline

This function erases the given node from the graph and all edges connected to the node.

void erase | ( | const Edge & |  | ) |
| inline

This function erases the given edge from the digraph.